View in object space viewport

Discussion in 'AutoCAD' started by calendriersca, Sep 18, 2006.

  1. I've a french autocad.

    I want to make and name a view in the object space viewport directly.
    A lisp (edview.lsp)

    (defun c:ev ()
    (setq pt1 (getpoint "\n1corner of the view"))
    (setq pt2 (getpoint "\n2corner of the view"))"))
    (setq txt (getstring "\nname of the view :"))
    (command "view" "w" txt pt1 pt2)
    (princ)
    )

    I make all it's ask, including name of the view.
    Then a prompt appear, who's says "name of the view" unknow command.

    Any Idea ?
     
    calendriersca, Sep 18, 2006
    #1
  2. calendriersca

    Carl AK Guest

    Since you're using Franch Autocad the problem may be with the
    'language' of the command name. So try changing the line to;

    (command "._view" "_w" txt pt1 pt2)
     
    Carl AK, Sep 18, 2006
    #2
  3. Your syntax is messed up:

    (defun c:ev ()
    (setq pt1 (getpoint "\n1corner of the view"))
    (setq pt2 (getpoint "\n2corner of the view"))
    (setq txt (getstring "\nname of the view :"))
    (command "view" "w" txt pt1 pt2)
    (princ)
    )

    The quotes and two paraentheses after the corner view setq are extra. Try
    the above.
     
    Michael Bulatovich, Sep 19, 2006
    #3
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.